# std::unary_function< _Arg, _Result > Struct Template Reference
[Functor Base Classes]

`#include <stl_function.h>`

Inheritance diagram for std::unary_function< _Arg, _Result >:

[legend]
List of all members.

## Public Types

typedef _Arg | argument_type
| `argument_type` is the type of the argument (no surprises here)
typedef _Result | result_type
| `result_type` is the return type

## Detailed Description

### template<class _Arg, class _Result>
struct std::unary_function< _Arg, _Result >

This is one of the functor base classes.

Definition at line 102 of file stl_function.h.

## Member Typedef Documentation

template<class _Arg, class _Result>
typedef _Arg std::unary_function< _Arg, _Result >::argument_type

| `argument_type` is the type of the argument (no surprises here) Definition at line 103 of file stl_function.h.

template<class _Arg, class _Result>
typedef _Result std::unary_function< _Arg, _Result >::result_type

| `result_type` is the return type Definition at line 104 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h